<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="sifqld" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>27-Mar-2003</pubdate>
  </info>

  <refnamediv>
    <refname>sifqld</refname>

    <refpurpose>apply qld function to a SIF problem</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>[xopt,lagr,info]=sifqld(siffile [,tol])</synopsis>
>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>siffile</term>

        <listitem>
          <para>path of the SIF problem file </para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>tol</term>

        <listitem>
          <para>Floatting point number, required precision. The
          default value is 1.e-12.</para>
        </listitem>
      </varlistentry>
     <varlistentry>
        <term>x</term>

        <listitem>
          <para>optimal solution found.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>lagr</term>

        <listitem>
          <para>vector of Lagrange multipliers.
          <literal>lagr(1:n)</literal> is the Lagrange vector
          associated with the bound constraints and <literal>lagr (n+1
          : $)</literal> is the Lagrange vector associated with the
          linear constraints. (If an upper-bound (resp. lower-bound)
          constraint <literal>i</literal> is active
          <literal>lagr(i)</literal> is &gt; 0 (resp. &lt;0). </para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>info</term>

        <listitem>
          <para>integer, return the execution status instead of sending
          errors.</para>

          <para>info==1 : Too many iterations needed</para>

          <para>info==2 : Accuracy insufficient to statisfy convergence
          criterion</para>

          <para>info==5 : Length of working array is too short</para>

          <para>info==10: The constraints are inconsistent</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>
    <para>The <literal>sifqld</literal> function decodes, compile,
    link the given problem, check if fits the
    <literal>qld</literal> scope, and finally call the Scilab function
    <literal>qld</literal> in order to solve the given problem.</para>
   
   
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example">
      p=get_sif_path()
      [x,lagr,f]=sifqld(p+'/sif/AVGASA.SIF')
  </programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member><link linkend="sifdecode">sifdecode</link></member>

      <member><link linkend="buildprob">buildprob</link></member>

      <member><link linkend="cute2qp">cute2qp</link></member>
      <member>qld</member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>Serge Steer, INRIA</member>
    </simplelist>
  </refsection>
</refentry>
